Subject: RE: [External] : bug#60639: Improvement to the Wording of GNU Emacs Lisp Reference Manual

From: Drew Adams <[email-masked]>
Date: Wed, 6 Sep 2023 01:27:56 +0000

> > In the section 2.1 "Printed Representation and Read Syntax"
> > (.../elisp/Printed-Representation.html),
> > word "hash notation" is used to refer to the symbol "#".
> > But it may well confuse non-native English speakers, because 
> > the "hash"is also associated with "hash function".
> >
> > A better name for "#" is "number sign".
> 
> I don't think "number sign" is very clear, and to be honest I think
> our target audience should have to learn that "#" is called a hash.
> 
> So we won't be making this change.  Sorry.
> Closing this as wontfix.

If you're talking about this ASCII and Unicode
character: #, then Emacs (`C-u C-x =') tells us
the name for it is NUMBER SIGN:

Character code properties: customize what to show
  name: NUMBER SIGN
  general-category: Po (Punctuation, Other)
  decomposition: (35) ('#')

I do agree that "hash notation" is one way to
refer to use of the "hash" symbol.

But how about referring to the character by its
several names?  (It's also called "pound sign".)

A simple sentence such as this in Wikipedia can
make things clear:

 "The symbol # is known variously in
  English-speaking regions as the number sign,[1]
  hash,[2] or pound sign.[3]"

https://en.wikipedia.org/wiki/Number_sign